Subject: Re: [PATCH 00/19] Enable various Renesas drivers on all ARM platforms

From: Laurent Pinchart <laurent.pinchart-ryLnwIuWjnjg/[email-masked]>
Date: Tue, 29 Oct 2013 10:46:18 +0100

Hi Simon and Guennadi,

On Tuesday 29 October 2013 10:12:17 Guennadi Liakhovetski wrote:
> On Tue, 29 Oct 2013, Laurent Pinchart wrote:
> > Hello,
> > 
> > This patch series, based on v3.12-rc7, prepares various Renesas drivers
> > for migration to multiplatform kernels by enabling their compilation or
> > otherwise fixing them on all ARM platforms. The patches are pretty
> > straightforward and are described in their commit message.
> > 
> > I'd like to get all these patches merged in v3.14. As they will need to go
> > through their respective subsystems' trees, I would appreciate if all
> > maintainers involved could notify me when they merge patches from this
> > series in their tree to help me tracking the merge status. I don't plan
> > to send pull requests individually for these patches, and I will repost
> > patches individually if changes are requested during review.
> > 
> > If you believe the issue should be solved in a different way (for instance
> > by removing the architecture dependency completely) please reply to the
> > cover letter to let other maintainers chime in.
> 
> Exactly this was my doubt. If we let these drivers build on all ARM
> platforms... Maybe we should just let them build everywhere? Unless there
> are real ARM dependencies. Maybe you could try to remove the restriction
> and try to build them all on x86?

My concern is that they might not build on some architectures for which I 
don't have a cross-compiler. For instance not all architecture define ioread32 
and iowrite32, which some drivers might rely on. What about depending on 
SUPERH || ARM || COMPILE_TEST to start with, in order not to push compilation 
breakages to mainline ?

> > Cc: Chris Ball <[email-masked]>
> > Cc: "David S. Miller" <davem-fT/PcQaiUtIeIZ0/[email-masked]>
> > Cc: David Woodhouse <[email-masked]>
> > Cc: [email-masked]
> > Cc: Dmitry Torokhov <[email-masked]>
> > Cc: Eduardo Valentin <[email-masked]>
> > Cc: Greg Kroah-Hartman <[email-masked]>
> > Cc: Guennadi Liakhovetski <[email-masked]>
> > Cc: Ian Molton <[email-masked]>
> > Cc: [email-masked]
> > Cc: Jean-Christophe Plagniol-Villard <plagnioj-sclMFOaUSTBWk0Htik3J/[email-masked]>
> > Cc: Joerg Roedel <[email-masked]>
> > Cc: Linus Walleij <[email-masked]>
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: Magnus Damm <[email-masked]>
> > Cc: Mark Brown <[email-masked]>
> > Cc: Mauro Carvalho Chehab <[email-masked]>
> > Cc: [email-masked]
> > Cc: Samuel Ortiz <[email-masked]>
> > Cc: Sergei Shtylyov <sergei.shtylyov-M4DtvfQ/[email-masked]>
> > Cc: Thierry Reding <[email-masked]>
> > Cc: Tomi Valkeinen <[email-masked]>
> > Cc: Vinod Koul <[email-masked]>
> > Cc: Wolfram Sang <wsa-z923LK4zBo2bacvFa/[email-masked]>
> > Cc: Zhang Rui <[email-masked]>
> > 
> > Laurent Pinchart (19):
> >   serial: sh-sci: Enable the driver on all ARM platforms
> >   DMA: shdma: Enable the driver on all ARM platforms
> >   i2c: sh_mobile: Enable the driver on all ARM platforms
> >   input: sh_keysc: Enable the driver on all ARM platforms
> >   iommu: shmobile: Enable the driver on all ARM platforms
> >   i2c: rcar: Enable the driver on all ARM platforms
> >   v4l: sh_vou: Enable the driver on all ARM platforms
> >   mmc: sdhi: Enable the driver on all ARM platforms
> >   mmc: sh_mmcif: Enable the driver on all ARM platforms
> >   mtd: sh_flctl: Enable the driver on all ARM platforms
> >   net: sh_eth: Set receive alignment correctly on all ARM platforms
> >   irda: sh_irda: Enable the driver on all ARM platforms
> >   pinctrl: sh-pfc: Enable the driver on all ARM platforms
> >   pwm: pwm-renesas-tpu: Enable the driver on all ARM platforms
> >   sh: intc: Enable the driver on all ARM platforms
> >   spi: sh_msiof: Enable the driver on all ARM platforms
> >   spi: sh_hspi: Enable the driver on all ARM platforms
> >   thermal: rcar-thermal: Enable the driver on all ARM platforms
> >   fbdev: sh-mobile-lcdcfb: Enable the driver on all ARM platforms
> >  
> >  drivers/dma/sh/Kconfig                | 2 +-
> >  drivers/dma/sh/shdmac.c               | 6 +++---
> >  drivers/i2c/busses/Kconfig            | 4 ++--
> >  drivers/input/keyboard/Kconfig        | 2 +-
> >  drivers/iommu/Kconfig                 | 2 +-
> >  drivers/media/platform/Kconfig        | 2 +-
> >  drivers/mmc/host/Kconfig              | 4 ++--
> >  drivers/mmc/host/tmio_mmc_dma.c       | 2 +-
> >  drivers/mtd/nand/Kconfig              | 2 +-
> >  drivers/net/ethernet/renesas/sh_eth.c | 2 +-
> >  drivers/net/ethernet/renesas/sh_eth.h | 2 +-
> >  drivers/net/irda/Kconfig              | 2 +-
> >  drivers/pinctrl/Makefile              | 2 +-
> >  drivers/pinctrl/sh-pfc/Kconfig        | 2 +-
> >  drivers/pwm/Kconfig                   | 2 +-
> >  drivers/sh/intc/Kconfig               | 2 +-
> >  drivers/spi/Kconfig                   | 4 ++--
> >  drivers/thermal/Kconfig               | 2 +-
> >  drivers/tty/serial/Kconfig            | 2 +-
> >  drivers/video/Kconfig                 | 6 +++---
> >  20 files changed, 27 insertions(+), 27 deletions(-)

-- 
Regards,

Laurent Pinchart